Package org.apache.sling.servlets.resolver.api

# Interface IgnoredServletResourcePredicate

All Superinterfaces:
  `Predicate<org.apache.sling.api.resource.Resource>`

@ConsumerType public interface IgnoredServletResourcePredicate extends Predicate<org.apache.sling.api.resource.Resource>
Created for https://issues.apache.org/jira/browse/SLING-12739 to hide specific scripts or servlets from the resolution mechanism. Can be used for "soft deprecation" of scripts and servlets for example.

The predicate returns `true` if the supplied Resource must be ignored by the servlets resolver.

## Method Summary

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`